import { InputProps } from "../Input";
export type NumberInputProps = Omit<InputProps, "type" | "onChange"> & {
    name?: string;
    onChange: (value: string, name?: string) => void;
    min?: number;
    max?: number;
    unit?: string;
    enableButton?: boolean;
};
declare const NumberInput: ({ name, value, onChange, onError, min, max, unit, enableButton, attributes, placeholder, }: NumberInputProps) => import("react/jsx-runtime").JSX.Element;
export default NumberInput;
