import { ReactNode } from "react";
export type SelectInputProps<T extends ReactNode | ReactNode[]> = {
    value: string;
    children: T;
    onError?: () => boolean;
    disable?: boolean;
    placeholder?: string;
};
declare const SelectInput: ({ value, children, onError, disable, placeholder, }: SelectInputProps<ReactNode | ReactNode[]>) => import("react/jsx-runtime").JSX.Element;
export default SelectInput;
